
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wendy.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/hella.zip" ),
}
local prefabs = {}

local start_inv = 
{
}

local function updatestats(inst)

   if GetClock():IsDay() then

		inst.components.health:StartRegen(-1, 10)

		inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
		inst.components.locomotor.runspeed = (TUNING.WILSON_WALK_SPEED * 1.2)

		inst.components.combat.damagemultiplier = 1.5

		TUNING.SANITY_DAY_GAIN = -5/60


    elseif GetClock():IsDusk() then

		inst.components.health:StartRegen(1, 15)

		inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.5)
		inst.components.locomotor.runspeed = (TUNING.WILSON_WALK_SPEED * 2)

		TUNING.SANITY_NIGHT_LIGHT = 1/60
		TUNING.SANITY_NIGHT_MID = 2/60
	
		inst.components.combat.damagemultiplier = 3


    elseif GetClock():IsNight() then

		inst.components.health:StartRegen(1, 10)

		inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 2)
		inst.components.locomotor.runspeed = (TUNING.WILSON_WALK_SPEED * 2.5)

		TUNING.SANITY_NIGHT_LIGHT = 2/60
		TUNING.SANITY_NIGHT_MID = 4/60
		TUNING.SANITY_NIGHT_DARK = 10/60		
	
		inst.components.combat.damagemultiplier = 5.5

	
    end

    if GetWorld():IsCave() then
		
		inst.components.health:StartRegen(1, 10)

		inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 2)
		inst.components.locomotor.runspeed = (TUNING.WILSON_WALK_SPEED * 2.5)

		TUNING.SANITY_NIGHT_LIGHT = 2/60
		TUNING.SANITY_NIGHT_MID = 4/60
		TUNING.SANITY_NIGHT_DARK = 10/60		
	
		inst.components.combat.damagemultiplier = 5.5

	
    end


end


local function sanity(inst, data)

		if inst.components.sanity.current <= 45 then

			inst.Light:Enable(false)

		end


		if inst.components.sanity.current > 45 then
			
			inst.Light:Enable(true)

		end

end



local fn = function(inst)
	
	inst.soundsname = "wendy" 
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon("hellaicon.tex")


	--  Night-vision
    	inst.entity:AddLight()
    	inst.Light:SetRadius(11)
    	inst.Light:SetFalloff(1)
    	inst.Light:SetIntensity(0.5)
    	inst.Light:SetColour(128/255,128/255,255/255)
	inst.components.health:SetMaxHealth(40)
	inst.components.hunger:SetMax(100)
	inst.components.sanity:SetMax(55)


	inst:ListenForEvent( "dusktime", function() updatestats(inst) end , GetWorld())
        inst:ListenForEvent( "daytime", function() updatestats(inst) end , GetWorld())
        inst:ListenForEvent( "nighttime", function() updatestats(inst) end , GetWorld())


         updatestats(inst)
	inst:ListenForEvent("hungerdelta", sanity)
	
	--Update hunger status

	return inst

end


-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.hella = "Traveler of darkness"
STRINGS.CHARACTER_NAMES.hella = "Hella"
STRINGS.CHARACTER_DESCRIPTIONS.hella = "*If she has a high amount of sanity,\nShe can see in night."
STRINGS.CHARACTER_QUOTES.hella = "\"...Stay in Darkness.........\""
STRINGS.CHARACTERS.hella = require "speech_hella"


return MakePlayerCharacter("hella", prefabs, assets, fn)
